### Functions

## Filter out db rows into one array

    db_filter(array $array, mixed $index) : array

### Parameters

#### $array

`array`

#### $index

`mixed`

### Returns

`array`

## Bulk directory loading workaround for use with array_map and glob

    do_include(string $path) : void

### Parameters

#### $path

`string`

### Classes and interfaces

# Firebird¶

Firebird Database class

« More »

# Firebird_Result¶

Firebird result class to emulate PDOStatement Class - only implements data-fetching methods

« More »

# Firebird_SQL¶

Firebird Specific SQL

« More »

# Firebird_Util¶

Firebird-specific backup, import and creation methods

« More »

# MySQL¶

MySQL specific class

« More »

# MySQL_SQL¶

MySQL specifc SQL

« More »

# MySQL_Util¶

MySQL-specific backup, import and creation methods

« More »

# ODBC¶

ODBC Database Driver

« More »

# ODBC_SQL¶

ODBC SQL Class

« More »

# ODBC_Util¶

ODBC-specific backup, import and creation methods

« More »

# PgSQL¶

PostgreSQL specifc class

« More »

# PgSQL_SQL¶

PostgreSQL specifc SQL

« More »

# PgSQL_Util¶

Posgres-specific backup, import and creation methods

« More »

# SQLite¶

SQLite specific class

« More »

# SQLite_SQL¶

SQLite Specific SQL

« More »

# SQLite_Util¶

SQLite-specific backup, import and creation methods

« More »

### Classes and interfaces

# DB_Reg¶

Connection registry

« More »

# Settings¶

Class for manipulating datbase connections, and miscellaneous settings

« More »

### Classes and interfaces

# DB_PDO¶

Base Database class

« More »

# DB_SQL¶

Abstract parent for database manipulation subclasses

« More »

# DB_Util¶

Abstract class defining database / table creation methods

« More »

# Query_Builder¶

Convienience class for creating sql queries - also the class that instantiates the specific db driver

« More »